interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        /we1j8ZzPtEDAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36604']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:01 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjjrmf.2.1505364120742.Z0FBQUFBQlp1Z2laVnBrdlRUbVRrd254U0xjeDVmejR3Zmhnb2ZnM1BjMlhzak1vbUsxSktGZlBCajRaU2xhcUxIaGlISU1XRUFPWTBRVmQwTnNZZXdwN1JVQ1lzRy1jc252NXlSTS1vdE5rYjlTWV92dm9JSGtLc0QxV3FXM3ZmQUp4RnA2blkybEg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:01
          GMT; secure', 'session_tracker=Me9ZYj8OKDixjOJDH7.0.1505364120738.Z0FBQUFBQlp1Z2laNG1weDJsX2xTQW9rcVVWUGJLcW9ZT1FvdjNUdzJDQk1aS2dSekU2MWJ3aS1Ndl9MREgwcGg1TVVEYWxueXRkU3RHc2xMY1k0eFJidkZ6M3hGMW1CTElEa0RxSTBYQS14bWxzMWJJcXkwOXFoVURvSE5UQkViMi1CemFtYS1MUVY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:01
          GMT; secure', edgebucket=6zLvTnti6QKWfce4c7; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1724-ORD]
      X-Timer: ['S1505364121.724722,VS0,VE384']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjjrmf.2.1505364120742.Z0FBQUFBQlp1Z2laVnBrdlRUbVRrd254U0xjeDVmejR3Zmhnb2ZnM1BjMlhzak1vbUsxSktGZlBCajRaU2xhcUxIaGlISU1XRUFPWTBRVmQwTnNZZXdwN1JVQ1lzRy1jc252NXlSTS1vdE5rYjlTWV92dm9JSGtLc0QxV3FXM3ZmQUp4RnA2blkybEg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:01
          GMT; secure', 'session_tracker=Me9ZYj8OKDixjOJDH7.0.1505364120738.Z0FBQUFBQlp1Z2laNG1weDJsX2xTQW9rcVVWUGJLcW9ZT1FvdjNUdzJDQk1aS2dSekU2MWJ3aS1Ndl9MREgwcGg1TVVEYWxueXRkU3RHc2xMY1k0eFJidkZ6M3hGMW1CTElEa0RxSTBYQS14bWxzMWJJcXkwOXFoVURvSE5UQkViMi1CemFtYS1MUVY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:01
          GMT; secure', edgebucket=6zLvTnti6QKWfce4c7; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=4Y2vSSykKWrEc9yDr0ev7yZ9x3Gfr7XIQX1jZjh5lmq5El00yNq0W%2F7YohiJs0vgIaqQpmVdI0s%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=6zLvTnti6QKWfce4c7; loid=00000000000drjjrmf.2.1505364120742.Z0FBQUFBQlp1Z2laVnBrdlRUbVRrd254U0xjeDVmejR3Zmhnb2ZnM1BjMlhzak1vbUsxSktGZlBCajRaU2xhcUxIaGlISU1XRUFPWTBRVmQwTnNZZXdwN1JVQ1lzRy1jc252NXlSTS1vdE5rYjlTWV92dm9JSGtLc0QxV3FXM3ZmQUp4RnA2blkybEg;
          session_tracker=Me9ZYj8OKDixjOJDH7.0.1505364120738.Z0FBQUFBQlp1Z2laNG1weDJsX2xTQW9rcVVWUGJLcW9ZT1FvdjNUdzJDQk1aS2dSekU2MWJ3aS1Ndl9MREgwcGg1TVVEYWxueXRkU3RHc2xMY1k0eFJidkZ6M3hGMW1CTElEa0RxSTBYQS14bWxzMWJJcXkwOXFoVURvSE5UQkViMi1CemFtYS1MUVY]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/top/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 97070 characters]
        MPH8ZFHWjUdn/IP/Btcsh/AEvgUA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['65115']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:02 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1724-ORD]
      X-Timer: ['S1505364122.201856,VS0,VE724']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=Me9ZYj8OKDixjOJDH7.0.1505364122218.Z0FBQUFBQlp1Z2lhNThnOF9fRTRlV29aS2VVSFl2YnZNMFFRZGFUX1NjcTkzZHMwTnVHQXpiaEJJRFYxTWtVYW0yWlZTTW0xdzhGWnhnak9kZ0xBcUthTkFXcTljZk5NQl8zY25PNEhINmRwc3dmOWRBYzZVbVNrMXhIOG1sVjYyMDcyMXFQekRudC0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:02
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=c1ipI8bzaUTcJAH8FanFhnWn7BDIKgbgnMfEcFT6A8zdogG2JuI3lzjzRG5Ix9%2Byow5uT8lAs24%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
